Foreman - Bug #182

External node import hangs on normal-looking host
03/17/2010 08:01 PM - Dis Connect

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Importers

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It processed a lot of hosts successfully, then hangs (repeatably).
After waiting 90 minutes, | ~C'd the import:

processing platform21.bar.foo.com DONE

Crake aborted!
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:865:in "=~
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:865:in “validates_format_of'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:468:in “validates_each’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:465:in “each’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:465:in “validates_each’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in “call’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in “evaluate_method'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in “call’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “run’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “each’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “send’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “run’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in “run_callbacks'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:1098:in “valid_without_callbacks?'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/callbacks.rb:315:in “valid?'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/autosave_association.rb:256:in "association_valid?'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/autosave_association.rb:245:in “validate_collection_association
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/autosave_association.rb:245:in “each’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/autosave_association.rb:245:in “validate_collection_association
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/autosave_association.rb:174:in
“validate_associated_records_for_host_parameters'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:180:in “evaluate_method'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:180:in “evaluate_method'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:180:in “instance_eval'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:180:in “evaluate_method'
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in “call’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “run’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “each’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “send’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in “run’
/opt/foreman-head/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in “run_callbacks'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:1098:in “valid_without_callbacks?'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/callbacks.rb:315:in “valid?'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/validations.rb:1077:in “save_without_dirty’'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/dirty.rb:79:in “save_without_transactions'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in “send’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in “with_transaction_returning_status'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in
“transaction'’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:228:in
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in

“transaction'’
“with_transaction_returning_status'
“save_without_unsaved_flag'
‘rollback_active_record_state!'
‘save_without_unsaved_flag'

/opt/foreman-head/vendor/plugins/active_scaffold/lib/extensions/unsaved_record.rb:15:in “save'
/opt/foreman-head/app/models/host.rb:329:in “importNode'
/opt/foreman-head/lib/tasks/puppet.rake:71
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:26:in “find_each’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:26:in “each'’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:26:in “find_each’
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:66:in “find_in_batches'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/base.rb:2143:in “with_scope'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:62:in “find_in_batches'
/opt/foreman-head/vendor/rails/activerecord/lib/active_record/batches.rb:25:in “find_each’
/opt/foreman-head/lib/tasks/puppet.rake:67

/usr/lib/ruby/1.8/rake.rb:617:in “call'

/usr/lib/ruby/1.8/rake.rb:617:in “execute’

/usr/lib/ruby/1.8/rake.rb:612:in “each’

/usr/lib/ruby/1.8/rake.rb:612:in “execute’

/ust/lib/ruby/1.8/rake.rb:578:in “invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in “synchronize'

/usr/lib/ruby/1.8/rake.rb:571:in “invoke_with_call_chain'

/ust/lib/ruby/1.8/rake.rb:564:in “invoke'

/usr/lib/ruby/1.8/rake.rb:2027:in “invoke_task'

/usr/lib/ruby/1.8/rake.rb:2005:in “top_level'

/usr/lib/ruby/1.8/rake.rb:2005:in “each’

/usr/lib/ruby/1.8/rake.rb:2005:in “top_level'

/usr/lib/ruby/1.8/rake.rb:2044:in “standard_exception_handling'

/ust/lib/ruby/1.8/rake.rb:1999:in “top_level'

/ust/lib/ruby/1.8/rake.rb:1977:in “run'

/usr/lib/ruby/1.8/rake.rb:2044:in “standard_exception_handling'

/ust/lib/ruby/1.8/rake.rb:1974:in “run'

/usr/bin/rake:28

processing appserver31.bar.foo.com

History

#1 - 03/17/2010 08:03 PM - Dis Connect

Addendum: The only thing strange about this host is a 'hostmount' class that no other hosts have. (It is used as a tag, so there is no actual class
behind it, but the other hosts all have similar tags and imported fine.)

#2 - 05/04/2011 04:24 AM - Ohad Levy

- Status changed from New to Closed

| was never able to reproduce this... since its been a long time.. closing
